TUNING = GLOBAL.TUNING
RECIPETABS = GLOBAL.RECIPETABS
TECH = GLOBAL.TECH
Ingredient = GLOBAL.Ingredient

TUNING.FEATHERPENCIL_USES = GetModConfigData("FEATHERPENCIL_USES")

local function newOnDrawFn(inst, target, image)
    inst.components.finiteuses:Use(1)
end

function FeatherPencilPostInit(inst)
	if GLOBAL.TheWorld.ismastersim then
		if inst.components.stackable then
			inst:RemoveComponent("stackable")
		end

		inst:AddComponent("finiteuses")
		inst.components.finiteuses:SetMaxUses(TUNING.FEATHERPENCIL_USES)
	    inst.components.finiteuses:SetUses(TUNING.FEATHERPENCIL_USES)
	    inst.components.finiteuses:SetOnFinished(inst.Remove)

	    inst.components.drawingtool:SetOnDrawFn(newOnDrawFn)
	end
end
AddPrefabPostInit("featherpencil", FeatherPencilPostInit)

if GetModConfigData("FEATHERPENCIL_DESK") ~= false then
	AddRecipe("cartographydesk", {Ingredient("compass", 1),Ingredient("boards", 4),Ingredient("featherpencil", 1)}, RECIPETABS.SCIENCE, TECH.SCIENCE_ONE, "cartographydesk_placer")
	AddRecipe("mapscroll", {Ingredient("papyrus", 1)}, RECIPETABS.CARTOGRAPHY, TECH.CARTOGRAPHY_TWO, nil, nil, true, nil, nil, nil, function() return GLOBAL.TheWorld.worldprefab == "forest" and "mapscroll.tex" or ("mapscroll_"..GLOBAL.TheWorld.worldprefab..".tex") end)
end